%{?nodejs_find_provides_and_requires}

%global packagename es6ify
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.6.0
Release: 1%{?dist}.3
Summary: browserify v2 transform to compile JavaScript.next (ES6) to JavaScript.current (ES5) on the fly.
License: MIT
URL: https://github.com/thlorenz/es6ify
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(through) >= 2.2.7
BuildRequires: npm(through) < 3.0.0
BuildRequires: npm(traceur) >= 0.0.79
BuildRequires: npm(xtend) >= 2.2.0
%if 0%{?enable_tests}
BuildRequires: npm(convert-source-map) >= 0.4.1
BuildRequires: npm(proxyquire) >= 0.4.0
BuildRequires: npm(tap) >= 0.4.0
BuildRequires: npm(tap) < 0.5.0
%endif

%description
browserify >=v2 transform to compile JavaScript.next (ES6) to
JavaScript.current (ES5) on the fly.


%prep
%setup -q -n package
%nodejs_fixdep through '^2.2.7'
%nodejs_fixdep traceur '>=0.0.79'
%nodejs_fixdep xtend '>=2.2.0'
%nodejs_fixdep --dev proxyquireproxyquire '>=0.4.0'
%nodejs_fixdep --dev convert-source-map '>=0.4.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.6.0-1
- Initial package.
